class Operand {
	private double value;
	public Operand(double val) { value = val;}
	public void addDigit(){};
	public void deleteLastDigit(){};
	public void reset(){ value = 0.0; };
	public void set(double val) {
				reset();
				buf.append(Double.toString(val));
				}
	public void complete() {
			Double d = new Double(value);
			Calc.s.push(d);
			Reset();
			}
	}
